health
Interface specifications

Statgrab - System Infos. More...

#define | PLAYER_HEALTH_DATA_STATE 1
| Structure describing the cpu.
typedef struct player_health_cpu | player_health_cpu_t
| Structure describing the cpu.
typedef struct player_health_memory | player_health_memory_t
| Structure describing the memory.
typedef struct player_health_data | player_health_data_t
| Structure describing the HEALTH's data packet. More...

## Detailed Description

Statgrab - System Infos.

The HEALTH driver allows for a user to get general systems data concerning a specific robot. Allows a user to look at cpu and memory usage of the robot.

## Typedef Documentation

typedef struct player_health_data player_health_data_t

Structure describing the HEALTH's data packet.

Last updated 12 September 2005 21:38:45